Package javassist.util.proxy

# Interface ProxyFactory.UniqueName

Enclosing class:
  `ProxyFactory`

public static interface ProxyFactory.UniqueName
A unique class name generator.

## Method Summary

Modifier and Type
Method
Description
`String`
`get(String classname)`
Returns a unique class name.

## Method Details

### get

String get(String classname)
Returns a unique class name.

Parameters:
  `classname` - the super class name of the proxy class.